List tests

Lists all agent response tests with pagination support and optional search filtering.

Headers

xi-api-keystringRequired

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 30
How many Tests to return at maximum. Can not exceed 100, defaults to 30.
searchstring or nullOptional
Search query to filter tests by name.
parent_folder_idstring or nullOptional
Filter by parent folder ID. Use 'root' to get items in the root folder.
typeslist of enums or nullOptional

If present, the endpoint will return only tests/folders of the given types.

Allowed values:
include_foldersboolean or nullOptionalDeprecated

Deprecated. Use the types query param and include folder instead.

sort_modeenumOptionalDefaults to default

Sort mode for listing tests. Use ‘folders_first’ to place folders before tests.

Allowed values:

Response

Successful Response
testslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error